## python-apeye-core 1.1.4

=== tests/requirements.txt ===
backports-datetime-fromisoformat==1.0.0; python_version == "3.6"
coincidence>=0.2.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
importlib-metadata>=3.6.0
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-httpserver>=0.3.5
pytest-randomly>=3.7.0
pytest-timeout>=1.4.2

## python-apeye-core 1.1.0

=== debian/changelog ===
python-apeye-core (1.1.0-1) unstable; urgency=medium

  [ Josenilson Ferreira da Silva ]
  * [9f7c461] First and initial Debianization
    (Closes: #1027765)

  [ Carsten Schoenert ]
  * [7bbd891] New upstream version 1.1.0
  * [5d99702] d/gbp.conf: Add basic config for git-buildpackage
  * [e7c67c1] d/copyright: Add information for public_suffix_list.dat
  * [24cfcfd] d/copyright: Sort licenses alphabetical

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 30 Jul 2023 08:23:39 -0300

=== debian/control ===
Source: python-apeye-core
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-domdf-python-tools,
 python3-hatch-requirements-txt,
 python3-hatchling,
 python3-idna,
 python3-pytest <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://github.com/domdfcoding/apeye-core
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-apeye-core
Vcs-Git: https://salsa.debian.org/python-team/packages/python-apeye-core.git

Package: python3-apeye-core
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Core (offline) functionality for the apeye library
 Apeye-Core provides functionality to work with APIs in a simplified way and
 aims to simplify common tasks in the consumption of APIs, such as sending GET,
 POST, PUT and DELETE requests, passing query parameters, headers, payload and
 authentication in an easy way. In addition, it provides mechanisms to handle
 token authentication, cookie management, and request redirection.
 .
 The main function of Apeye-Core is to facilitate the consumption of APIs
 through a simple and intuitive interface. It offers features for making HTTP
 requests, handling authentication, managing request and response headers,
 handling errors, and other useful functionality when working with APIs.
 .
 The package also includes features to handle errors and exceptions related
 to communicating with the API, such as timeouts, network errors, and HTTP
 errors. It allows the use of custom error handlers to handle different types
 of API error responses.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export PYBUILD_NAME=apeye-core
# Tests disabled, see note in debian/README.source.
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

## python-apeye-core 1.1.4

=== debian/changelog ===
python-apeye-core (1.1.4-1) unstable; urgency=medium

  * New upstream version 1.1.4

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 19 Aug 2023 09:44:19 -0300

## python-apeye-core 1.1.5

=== requirements.txt ===
domdf-python-tools>=2.6.0
idna>=2.5

=== tests/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
-backports-datetime-fromisoformat==1.0.0; python_version == "3.6"
+backports-datetime-fromisoformat>=1.0.0; python_version == "3.6" and platform_python_implementation != "PyPy"
+backports-datetime-fromisoformat==1.0.0; python_version == "3.6" and platform_python_implementation == "PyPy"
 coincidence>=0.2.0
 coverage>=5.1
 coverage-pyver-pragma>=0.2.1

=== debian/changelog ===
python-apeye-core (1.1.5-1) unstable; urgency=medium

  * New upstream version 1.1.5

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 03 Feb 2024 13:33:10 -0300

python-apeye-core (1.1.4-2) unstable; urgency=medium

  * debian/control:
      - Added dependencies for running tests
      - Added Testsuite: autopkgtest-pkg-pybuild
  * debian/rules: Enabled tests

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 01 Jan 2024 12:02:35 -0300

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,35 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders:
- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>,
+Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
-Build-Depends:
- debhelper-compat (= 13),
- dh-sequence-python3,
- pybuild-plugin-pyproject,
- python3-all,
- python3-domdf-python-tools,
- python3-hatch-requirements-txt,
- python3-hatchling,
- python3-idna,
- python3-pytest <!nocheck>,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
+               python3-all,
+               python3-coincidence,
+               python3-coverage,
+               python3-domdf-python-tools,
+               python3-hatch-requirements-txt,
+               python3-hatchling,
+               python3-idna,
+               python3-importlib-metadata,
+               python3-pytest,
+               python3-pytest-cov,
+               python3-pytest-datadir,
+               python3-pytest-httpserver,
+               python3-pytest-regressions,
+               python3-pytest-timeout
 Standards-Version: 4.6.2
 Homepage: https://github.com/domdfcoding/apeye-core
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-apeye-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-apeye-core.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-apeye-core
 Architecture: all
-Depends:
- ${misc:Depends},
- ${python3:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Description: Core (offline) functionality for the apeye library
  Apeye-Core provides functionality to work with APIs in a simplified way and
  aims to simplify common tasks in the consumption of APIs, such as sending GET,

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export PYBUILD_NAME=apeye-core

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/domdfcoding/apeye-core/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
